INVALIDATE_INODE_PAG(9)

NAME
invalidate_inode_pages2_range - remove range of pages from an address_space

SYNOPSIS

int invalidate_inode_pages2_range(struct address_space * mapping, pgoff_t start, pgoff_t end);

ARGUMENTS

mapping
    the address_space

start
    the page offset 'from' which to invalidate

end
    the page offset 'to' which to invalidate (inclusive)

DESCRIPTION

Any pages which are found to be mapped into pagetables are unmapped prior to invalidation.

Returns -EBUSY if any pages could not be invalidated.

COPYRIGHT